// Procedures globales du projet
// EXE_Remplace
// ------------------------------------------------------------------------------------------------
// Entrees : 
//	c : chaine de base
//	o : chaine d'origine recherchee
//	r : chaine de remplacement
// Variables locales :
//	s : chaine resultat
//	p,t : variables de parcours
function _RMP(c,o,r)
{
	// Position dans c
	var p=0;
	// Position dans c du prochaine trouve
	var t;
	var s=[];
	// Tant qu'on trouve des occurrences
	while (-1!=(t=c.indexOf(o,p)))
	{
		s.push(c.substring(p,t));
		s.push(r);
		p=t+o.length;
	}
	// On colle le reliquat de la chaine
	s.push(c.substring(p));
	return s.join("");
}
function PROCEDURESGLOBALESDECC100HFWEBNAVIGATEUR_SENCODEHTML(VsChaine)
{
	try
	{
		clWDUtil.Try();
		{
			var VsRes=clWDUtil.oConversionType(VsChaine,16,0,50,0);
			VsRes=clWDUtil.oConversionType(_RMP(VsRes,"\x3C","\x26lt;"),16,0,31,0);
			VsRes=clWDUtil.oConversionType(_RMP(VsRes,"\x3E","\x26gt;"),16,0,31,0);
			VsRes=clWDUtil.oConversionType(_RMP(VsRes,"\x26","\x26amp;"),16,0,31,0);
			clWDUtil.Renvoyer(VsRes);
			return;
		}
	}
	catch(_E)
	{
		clWDUtil.xbCatchThrow(_E);return;
	}
	finally
	{
		return clWDUtil?clWDUtil.oFinally():undefined;
	}
}
